#include "partition.h"
#include <map>
#include <vector>
#include <algorithm>

std::vector<int> solve(std::vector<int> a) {
    int n = int(a.size());
    std::vector<int> sol;
    for(int i = 0; i < n / 2 - 1; i++) {
        sol.push_back(i);
    }
    sol.push_back(n - 1);
    for(int i = std::max(0, n / 2 - 1); i < n - 1; i++) {
        sol.push_back(i);
    }
    return sol;
}
